<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddH323PhoneReq StructType
 * @subpackage Structs
 */
class AddH323PhoneReq extends APIRequest
{
    /**
     * The h323Phone
     * @var XH323Phone
     */
    public $h323Phone;
    /**
     * Constructor method for AddH323PhoneReq
     * @uses AddH323PhoneReq::setH323Phone()
     * @param XH323Phone $h323Phone
     */
    public function __construct(XH323Phone $h323Phone = null)
    {
        $this
            ->setH323Phone($h323Phone);
    }
    /**
     * Get h323Phone value
     * @return XH323Phone|null
     */
    public function getH323Phone()
    {
        return $this->h323Phone;
    }
    /**
     * Set h323Phone value
     * @param XH323Phone $h323Phone
     * @return AddH323PhoneReq
     */
    public function setH323Phone(XH323Phone $h323Phone = null)
    {
        $this->h323Phone = $h323Phone;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddH323PhoneReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
